{
	"parent":"minecraft:adventure/root",
	"display":{
		"icon":{
			"item":"minecraft:chiseled_bookshelf"
		},
		"title":{
			"translate":"advancements.adventure.read_power_from_chiseled_bookshelf.title"
		},
		"description":{
			"translate":"advancements.adventure.read_power_from_chiseled_bookshelf.description"
		},
		"frame":"task",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"criteria":{
		"comparator":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:any_of",
					"terms":[{
						"condition":"minecraft:all_of",
						"terms":[{
							"condition":"minecraft:block_state_property",
							"block":"minecraft:comparator",
							"properties":{
								"facing":"north"
							}
						},
						{
							"condition":"minecraft:location_check",
							"predicate":{
								"block":{
									"blocks":[
										"minecraft:chiseled_bookshelf"
									]
								}
							},
							"offsetZ":-1
						}]
					},
					{
						"condition":"minecraft:all_of",
						"terms":[{
							"condition":"minecraft:block_state_property",
							"block":"minecraft:comparator",
							"properties":{
								"facing":"south"
							}
						},
						{
							"condition":"minecraft:location_check",
							"predicate":{
								"block":{
									"blocks":[
										"minecraft:chiseled_bookshelf"
									]
								}
							},
							"offsetZ":1
						}]
					},
					{
						"condition":"minecraft:all_of",
						"terms":[{
							"condition":"minecraft:block_state_property",
							"block":"minecraft:comparator",
							"properties":{
								"facing":"west"
							}
						},
						{
							"condition":"minecraft:location_check",
							"predicate":{
								"block":{
									"blocks":[
										"minecraft:chiseled_bookshelf"
									]
								}
							},
							"offsetX":-1
						}]
					},
					{
						"condition":"minecraft:all_of",
						"terms":[{
							"condition":"minecraft:block_state_property",
							"block":"minecraft:comparator",
							"properties":{
								"facing":"east"
							}
						},
						{
							"condition":"minecraft:location_check",
							"predicate":{
								"block":{
									"blocks":[
										"minecraft:chiseled_bookshelf"
									]
								}
							},
							"offsetX":1
						}]
					}]
				}]
			}
		},
		"chiseled_bookshelf":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:chiseled_bookshelf"
				},
				{
					"condition":"minecraft:any_of",
					"terms":[{
						"condition":"minecraft:location_check",
						"predicate":{
							"block":{
								"blocks":[
									"minecraft:comparator"
								],
								"state":{
									"facing":"north"
								}
							}
						},
						"offsetZ":1
					},
					{
						"condition":"minecraft:location_check",
						"predicate":{
							"block":{
								"blocks":[
									"minecraft:comparator"
								],
								"state":{
									"facing":"south"
								}
							}
						},
						"offsetZ":-1
					},
					{
						"condition":"minecraft:location_check",
						"predicate":{
							"block":{
								"blocks":[
									"minecraft:comparator"
								],
								"state":{
									"facing":"west"
								}
							}
						},
						"offsetX":1
					},
					{
						"condition":"minecraft:location_check",
						"predicate":{
							"block":{
								"blocks":[
									"minecraft:comparator"
								],
								"state":{
									"facing":"east"
								}
							}
						},
						"offsetX":-1
					}]
				}]
			}
		}
	},
	"requirements":[
		[
			"chiseled_bookshelf",
			"comparator"
		]
	],
	"sends_telemetry_event":true
}